<template>
  <section class="container">

    <b-jumbotron header="Admin page" lead="Select your table"/>

    <b-list-group>
      <nuxt-link
        v-for="table in tables"
        :key="table.name"
        :to="table.uri">
        <b-list-group-item>{{ table.name }}</b-list-group-item>
      </nuxt-link>
    </b-list-group>
  </section>
</template>

<script>
export default {
  data() {
    return {
      tables: [
        {uri: '/admin/locations',           name: 'Location'},
        {uri: '/admin/items',               name: 'Item'},
        {uri: '/admin/specials',            name: 'Special'},
        {uri: '/admin/stats',               name: 'Stat'},
        {uri: '/admin/paths',               name: 'Path'},
        {uri: '/admin/equipment',           name: 'Equipment'},
        {uri: '/admin/consumables',         name: 'Consumable'},
        {uri: '/admin/skills',              name: 'Skill'},
        {uri: '/admin/monsters',            name: 'Monster'},
        {uri: '/admin/game_classes',        name: 'Game Class'},
        {uri: '/admin/buffs',               name: 'Buffs'},
        {uri: '/admin/monster/paths',   name: 'Monster-Path'},
        {uri: '/admin/item/monsters',   name: 'Item-Monster'},
        {uri: '/admin/class/skills',    name: 'GameClass-Skill'},
        {uri: '/admin/monster/skills',  name: 'Monster-Skill'},
        {uri: '/admin/effect/specials', name: 'Effect-Special'},
      ]
    };
  }
}
</script>

<style>

</style>
